"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tags = ['template', 'script', 'style'];
const [template, script, style] = exports.tags;
/**
 * Languages based on extension.
 * Describe `lang` attribute and `<tag>`.
 */
/* tslint:disable:object-literal-sort-keys */
exports.languages = {
    // Templates
    html: ['', template],
    pug: ['pug', template],
    jade: ['jade', template],
    // Scripts
    js: ['', script],
    ts: ['', script],
    coffee: ['coffee', script],
    // Styles
    css: ['', style],
    scss: ['scss', style],
    sass: ['sass', style],
    less: ['less', style],
    styl: ['stylus', style],
    stylus: ['stylus', style]
};
/* tslint:enable:object-literal-sort-keys */
/**
 * Check if styles are scoped.
 */
function isScoped(fileName) {
    return /\.scoped\./.test(fileName);
}
exports.isScoped = isScoped;
/**
 * Check if template is functional.
 */
function isFunctional(fileName) {
    return /\.functional\./.test(fileName);
}
exports.isFunctional = isFunctional;
