/**
 * Used to cache a stats object for the virtual file.
 * Extracted from the `mock-fs` package.
 *
 * @author Tim Schaub http://tschaub.net/
 * @link https://github.com/tschaub/mock-fs/blob/master/lib/binding.js
 * @link https://github.com/tschaub/mock-fs/blob/master/license.md
 */
/**
 * Create a new stats object.
 */
export declare class VirtualStats {
    [key: string]: any;
    constructor(config: any);
    /**
     * Check if is a directory.
     */
    isDirectory(): boolean;
    /**
     * Check if is a regular file.
     */
    isFile(): boolean;
    /**
     * Check if is a block device.
     */
    isBlockDevice(): boolean;
    /**
     * Check if is a character device.
     */
    isCharacterDevice(): boolean;
    /**
     * Check if is a symbolic link.
     */
    isSymbolicLink(): boolean;
    /**
     * Check if is a named pipe.
     */
    isFIFO(): boolean;
    /**
     * Check if is a socket.
     */
    isSocket(): boolean;
    /**
     * Check if mode indicates property.
     */
    private _checkModeProperty;
}
